<?php

if ( ! function_exists( 'justicia_core_map_portfolio_meta' ) ) {
	function justicia_core_map_portfolio_meta() {
		global $justicia_mikado_global_Framework;
		
		$justicia_pages = array();
		$pages      = get_pages();
		foreach ( $pages as $page ) {
			$justicia_pages[ $page->ID ] = $page->post_title;
		}
		
		//Portfolio Images
		
		$justicia_portfolio_images = new JusticiaMikadoClassMetaBox( 'portfolio-item', esc_html__( 'Portfolio Images (multiple upload)', 'justicia-core' ), '', '', 'portfolio_images' );
		$justicia_mikado_global_Framework->mkdMetaBoxes->addMetaBox( 'portfolio_images', $justicia_portfolio_images );
		
		$justicia_portfolio_image_gallery = new JusticiaMikadoClassMultipleImages( 'mkdf-portfolio-image-gallery', esc_html__( 'Portfolio Images', 'justicia-core' ), esc_html__( 'Choose your portfolio images', 'justicia-core' ) );
		$justicia_portfolio_images->addChild( 'mkdf-portfolio-image-gallery', $justicia_portfolio_image_gallery );
		
		//Portfolio Single Upload Images/Videos 
		
		$justicia_portfolio_images_videos = justicia_mikado_create_meta_box(
			array(
				'scope' => array( 'portfolio-item' ),
				'title' => esc_html__( 'Portfolio Images/Videos (single upload)', 'justicia-core' ),
				'name'  => 'mkdf_portfolio_images_videos'
			)
		);
		justicia_mikado_add_repeater_field(
			array(
				'name'        => 'mkdf_portfolio_single_upload',
				'parent'      => $justicia_portfolio_images_videos,
				'button_text' => esc_html__( 'Add Image/Video', 'justicia-core' ),
				'fields'      => array(
					array(
						'type'        => 'select',
						'name'        => 'file_type',
						'label'       => esc_html__( 'File Type', 'justicia-core' ),
						'options' => array(
							'image' => esc_html__('Image','justicia-core'),
							'video' => esc_html__('Video','justicia-core'),
						)
					),
					array(
						'type'        => 'image',
						'name'        => 'single_image',
						'label'       => esc_html__( 'Image', 'justicia-core' ),
						'dependency' => array(
							'show' => array(
								'file_type'  => 'image'
							)
						)
					),
					array(
						'type'        => 'select',
						'name'        => 'video_type',
						'label'       => esc_html__( 'Video Type', 'justicia-core' ),
						'options'	  => array(
							'youtube' => esc_html__('YouTube', 'justicia-core'),
							'vimeo' => esc_html__('Vimeo', 'justicia-core'),
							'self' => esc_html__('Self Hosted', 'justicia-core'),
						),
						'dependency' => array(
							'show' => array(
								'file_type'  => 'video'
							)
						)
					),
					array(
						'type'        => 'text',
						'name'        => 'video_id',
						'label'       => esc_html__( 'Video ID', 'justicia-core' ),
						'dependency' => array(
							'show' => array(
								'file_type' => 'video',
								'video_type'  => array('youtube','vimeo')
							)
						)
					),
					array(
						'type'        => 'text',
						'name'        => 'video_mp4',
						'label'       => esc_html__( 'Video mp4', 'justicia-core' ),
						'dependency' => array(
							'show' => array(
								'file_type' => 'video',
								'video_type'  => 'self'
							)
						)
					),
					array(
						'type'        => 'image',
						'name'        => 'video_cover_image',
						'label'       => esc_html__( 'Video Cover Image', 'justicia-core' ),
						'dependency' => array(
							'show' => array(
								'file_type' => 'video',
								'video_type'  => 'self'
							)
						)
					)
				)
			)
		);
		
		//Portfolio Additional Sidebar Items
		
		$justicia_additional_sidebar_items = justicia_mikado_create_meta_box(
			array(
				'scope' => array( 'portfolio-item' ),
				'title' => esc_html__( 'Additional Portfolio Sidebar Items', 'justicia-core' ),
				'name'  => 'portfolio_properties'
			)
		);

		justicia_mikado_add_repeater_field(
			array(
				'name'        => 'mkdf_portfolio_properties',
				'parent'      => $justicia_additional_sidebar_items,
				'button_text' => esc_html__( 'Add New Item', 'justicia-core' ),
				'fields'      => array(
					array(
						'type'        => 'text',
						'name'        => 'item_title',
						'label'       => esc_html__( 'Item Title', 'justicia-core' ),
					),
					array(
						'type'        => 'text',
						'name'        => 'item_text',
						'label'       => esc_html__( 'Item Text', 'justicia-core' )
					),
					array(
						'type'        => 'text',
						'name'        => 'item_url',
						'label'       => esc_html__( 'Enter Full URL for Item Text Link', 'justicia-core' )
					)
				)
			)
		);
	}
	
	add_action( 'justicia_mikado_action_meta_boxes_map', 'justicia_core_map_portfolio_meta', 40 );
}