<?php

if ( ! function_exists( 'justicia_core_map_team_single_meta' ) ) {
	function justicia_core_map_team_single_meta() {
		
		$meta_box = justicia_mikado_create_meta_box(
			array(
				'scope' => 'team-member',
				'title' => esc_html__( 'Team Member Info', 'justicia-core' ),
				'name'  => 'team_meta'
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_team_member_position',
				'type'        => 'text',
				'label'       => esc_html__( 'Position', 'justicia-core' ),
				'description' => esc_html__( 'The members\'s role within the team', 'justicia-core' ),
				'parent'      => $meta_box
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_team_member_birth_date',
				'type'        => 'date',
				'label'       => esc_html__( 'Birth date', 'justicia-core' ),
				'description' => esc_html__( 'The members\'s birth date', 'justicia-core' ),
				'parent'      => $meta_box
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_team_member_email',
				'type'        => 'text',
				'label'       => esc_html__( 'Email', 'justicia-core' ),
				'description' => esc_html__( 'The members\'s email', 'justicia-core' ),
				'parent'      => $meta_box
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_team_member_phone',
				'type'        => 'text',
				'label'       => esc_html__( 'Phone', 'justicia-core' ),
				'description' => esc_html__( 'The members\'s phone', 'justicia-core' ),
				'parent'      => $meta_box
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_team_member_address',
				'type'        => 'text',
				'label'       => esc_html__( 'Address', 'justicia-core' ),
				'description' => esc_html__( 'The members\'s addres', 'justicia-core' ),
				'parent'      => $meta_box
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_team_member_education',
				'type'        => 'text',
				'label'       => esc_html__( 'Education', 'justicia-core' ),
				'description' => esc_html__( 'The members\'s education', 'justicia-core' ),
				'parent'      => $meta_box
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_team_member_resume',
				'type'        => 'file',
				'label'       => esc_html__( 'Resume', 'justicia-core' ),
				'description' => esc_html__( 'Upload members\'s resume', 'justicia-core' ),
				'parent'      => $meta_box
			)
		);
		
		for ( $x = 1; $x < 6; $x ++ ) {
			
			$social_icon_group = justicia_mikado_add_admin_group(
				array(
					'name'   => 'mkdf_team_member_social_icon_group' . $x,
					'title'  => esc_html__( 'Social Link ', 'justicia-core' ) . $x,
					'parent' => $meta_box
				)
			);
			
			$social_row1 = justicia_mikado_add_admin_row(
				array(
					'name'   => 'mkdf_team_member_social_icon_row1' . $x,
					'parent' => $social_icon_group
				)
			);
			
			justicia_mikado_icon_collections()->getIconsMetaBoxOrOption(
				array(
					'label'            => esc_html__( 'Icon ', 'justicia-core' ) . $x,
					'parent'           => $social_row1,
					'name'             => 'mkdf_team_member_social_icon_pack_' . $x,
					'defaul_icon_pack' => '',
					'type'             => 'meta-box',
					'field_type'       => 'simple'
				)
			);
			
			$social_row2 = justicia_mikado_add_admin_row(
				array(
					'name'   => 'mkdf_team_member_social_icon_row2' . $x,
					'parent' => $social_icon_group
				)
			);
			
			justicia_mikado_create_meta_box_field(
				array(
					'type'            => 'textsimple',
					'label'           => esc_html__( 'Link', 'justicia-core' ),
					'name'            => 'mkdf_team_member_social_icon_' . $x . '_link',
					'parent'          => $social_row2,
					'dependency' => array(
						'hide' => array(
							'mkdf_team_member_social_icon_pack_'. $x  => ''
						)
					)
				)
			);
			
			justicia_mikado_create_meta_box_field(
				array(
					'type'            => 'selectsimple',
					'label'           => esc_html__( 'Target', 'justicia-core' ),
					'name'            => 'mkdf_team_member_social_icon_' . $x . '_target',
					'options'         => justicia_mikado_get_link_target_array(),
					'parent'          => $social_row2,
					'dependency' => array(
						'hide' => array(
							'mkdf_team_member_social_icon_' . $x . '_link'  => ''
						)
					)
				)
			);
		}
	}
	
	add_action( 'justicia_mikado_action_meta_boxes_map', 'justicia_core_map_team_single_meta', 46 );
}