<div class="mkdf-team-single-info-holder">
	<div class="mkdf-grid-row">
		<div class="mkdf-ts-image-holder mkdf-grid-col-6">
			<?php the_post_thumbnail(); ?>
		</div>
		<div class="mkdf-ts-details-holder mkdf-grid-col-6">
			<h2 itemprop="name" class="mkdf-name entry-title"><?php the_title(); ?></h2>
			<p class="mkdf-position"><?php echo esc_html($position); ?>
			</p>
			<div class="mkdf-ts-bio-holder">
				<?php if(!empty($birth_date)) { ?>
					<div class="mkdf-ts-info-row">
						<span class="mkdf-ts-bio-info"><?php echo esc_html__('born on: ', 'justicia-core').esc_html($birth_date); ?></span>
					</div>
				<?php } ?>
				<?php if(!empty($email)) { ?>
					<div class="mkdf-ts-info-row">
						<a href="mailto:<?php echo esc_html($email); ?>">
							<span itemprop="email" class="mkdf-ts-bio-info mkdf-ts-info-mail"><?php echo sanitize_email(esc_html($email)); ?></span>
						</a>
					</div>
				<?php } ?>
				<?php if(!empty($phone)) { ?>
					<div class="mkdf-ts-info-row">
						
							<span class="mkdf-ts-bio-info"><a href="tel:<?php echo esc_html($phone); ?>"><?php echo esc_html__('Tel: ', 'justicia-core').esc_html($phone); ?></a></span>
						
					</div>
				<?php } ?>
				<?php if(!empty($address)) { ?>
					<div class="mkdf-ts-info-row">
						<span class="mkdf-ts-bio-info"><?php echo esc_html__('lives in: ', 'justicia-core').esc_html($address); ?></span>
					</div>
				<?php } ?>
				<?php if(!empty($education)) { ?>
					<div class="mkdf-ts-info-row">
						<span class="mkdf-ts-bio-info"><?php echo esc_html__('education: ', 'justicia-core').esc_html($education); ?></span>
					</div>
				<?php } ?>
				<?php if(!empty($resume)) { ?>
					<div class="mkdf-ts-info-row">
						<a href="<?php echo esc_url($resume); ?>" download target="_blank"><span class="mkdf-ts-bio-info"><?php echo esc_html__('Download Resume', 'justicia-core'); ?></span></a>
					</div>
				<?php } ?>
			</div>
			<p class="mkdf-team-social-position">
				<?php foreach ($social_icons as $social_icon) {
					echo wp_kses_post($social_icon);
				} ?>
			</p>
			<?php $categories = wp_get_post_terms(get_the_ID(), 'team-category');
				if(!empty($categories)) { ?>
				<div class="mkdf-team-single-categories">
					<p><?php echo esc_html__('Areas of Practice: ', 'justicia-core') ?></p>
					<ul>
					<?php foreach ($categories as $cat) { ?>
						<li><a itemprop="url" class="mkdf-pli-category" href="<?php echo esc_url(get_term_link($cat->term_id)); ?>"><?php echo esc_html($cat->name); ?></a></li>
					<?php } ?>
					</ul>
				</div>
			<?php } ?>
		</div>
	</div>
</div>