<?php

if ( ! function_exists( 'justicia_core_map_testimonials_meta' ) ) {
	function justicia_core_map_testimonials_meta() {
		$testimonial_meta_box = justicia_mikado_create_meta_box(
			array(
				'scope' => array( 'testimonials' ),
				'title' => esc_html__( 'Testimonial', 'justicia-core' ),
				'name'  => 'testimonial_meta'
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_testimonial_title',
				'type'        => 'text',
				'label'       => esc_html__( 'Title', 'justicia-core' ),
				'description' => esc_html__( 'Enter testimonial title', 'justicia-core' ),
				'parent'      => $testimonial_meta_box,
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_testimonial_text',
				'type'        => 'text',
				'label'       => esc_html__( 'Text', 'justicia-core' ),
				'description' => esc_html__( 'Enter testimonial text', 'justicia-core' ),
				'parent'      => $testimonial_meta_box,
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_testimonial_author',
				'type'        => 'text',
				'label'       => esc_html__( 'Author', 'justicia-core' ),
				'description' => esc_html__( 'Enter author name', 'justicia-core' ),
				'parent'      => $testimonial_meta_box,
			)
		);
		
		justicia_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_testimonial_author_position',
				'type'        => 'text',
				'label'       => esc_html__( 'Author Position', 'justicia-core' ),
				'description' => esc_html__( 'Enter author job position', 'justicia-core' ),
				'parent'      => $testimonial_meta_box,
			)
		);
	}
	
	add_action( 'justicia_mikado_action_meta_boxes_map', 'justicia_core_map_testimonials_meta', 95 );
}