<?php
namespace JusticiaCore\CPT\Shortcodes\SplitScrollingSection;

use JusticiaCore\Lib;

class SplitScrollingSection implements Lib\ShortcodeInterface {
	private $base;
	
	function __construct() {
		$this->base = 'mkdf_split_scrolling_section';
		add_action('vc_before_init', array($this, 'vcMap'));
	}
	
	public function getBase() {
		return $this->base;
	}
	
	public function vcMap() {
		vc_map( array(
			'name' => esc_html__('Split Scrolling Section', 'justicia-core'),
			'base' => $this->base,
			'icon' => 'icon-wpb-split-scrolling-section extended-custom-icon',
			'category' => esc_html__('by JUSTICIA', 'justicia-core'),
			'as_parent'	=> array('only' => 'mkdf_split_scrolling_section_left_panel, mkdf_split_scrolling_section_right_panel'),
			'js_view' => 'VcColumnView',
			'show_settings_on_create' => false,
		));
	}

	public function render($atts, $content = null) {
		$args = array();
		
		$params = shortcode_atts($args, $atts);
		extract($params);

		$params['content'] = $content;

		$html = justicia_core_get_shortcode_module_template_part('templates/split-scrolling-section-template', 'split-scrolling-section', '', $params);

		return $html;
	}
}