<?php 

function tmte_digitallaw_cpt_tm_client(){
	
	// Register Post Type
	$labels = array(
		'name'               => _x( 'Clients', 'post type general name', 'tmte' ),
		'singular_name'      => _x( 'Client', 'post type singular name', 'tmte' ),
		'menu_name'          => _x( 'Client Logos', 'admin menu', 'tmte' ),
		'name_admin_bar'     => _x( 'Client', 'add new on admin bar', 'tmte' ),
		'add_new'            => _x( 'Add New', 'client', 'tmte' ),
		'add_new_item'       => __( 'Add New Client', 'tmte' ),
		'new_item'           => __( 'New Client', 'tmte' ),
		'edit_item'          => __( 'Edit Client', 'tmte' ),
		'view_item'          => __( 'View Client', 'tmte' ),
		'all_items'          => __( 'All Clients', 'tmte' ),
		'search_items'       => __( 'Search Client', 'tmte' ),
		'parent_item_colon'  => __( 'Parent Client:', 'tmte' ),
		'not_found'          => __( 'No client found.', 'tmte' ),
		'not_found_in_trash' => __( 'No client found in Trash.', 'tmte' )
	);
	$args = array(
		'labels'             => $labels,
		'menu_icon'          => 'dashicons-businessman',
		'public'             => true,
		'publicly_queryable' => false,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'client' ),
		'capability_type'    => 'post',
		'has_archive'        => false,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'thumbnail' ),
		'exclude_from_search' => true,
	);

	register_post_type( 'tm_client', $args );
	
	
	
	// Declaring Portfolio variable
	$client = new Cuztom_Post_Type('tm_client');



	/* Category */
	$client->add_taxonomy(
		'TM Client Group',
		array(),
		array(
			'name'              => _x( 'Client Group', 'taxonomy general name', 'tmte' ),
			'singular_name'     => _x( 'Client Group', 'taxonomy singular name', 'tmte' ),
			'search_items'      => __( 'Search Client Group', 'tmte' ),
			'all_items'         => __( 'All Client Groups', 'tmte' ),
			'parent_item'       => __( 'Parent Group', 'tmte' ),
			'parent_item_colon' => __( 'Parent Group:', 'tmte' ),
			'edit_item'         => __( 'Edit Group', 'tmte' ),
			'update_item'       => __( 'Update Group', 'tmte' ),
			'add_new_item'      => __( 'Add New Client Group', 'tmte' ),
			'new_item_name'     => __( 'New Client Group Name', 'tmte' ),
			'menu_name'         => __( 'Client Group', 'tmte' ),
		)
	);



	/* Change "Enter Title Here" */
	function tmte_digitallaw_tm_client_enter_title_here( $title ){
		$screen = get_current_screen();
		if ( 'tm_client' == $screen->post_type ) {
			$title = __('Client Name', 'tmte');
		}
		return $title;
	}
	add_filter( 'enter_title_here', 'tmte_digitallaw_tm_client_enter_title_here' );




	// Move Featured Image box from left to center only on CLIENTS custom_post_type
	add_action('do_meta_boxes', 'tmte_digitallaw_tm_client_featured_image_box');
	function tmte_digitallaw_tm_client_featured_image_box() {
		remove_meta_box( 'postimagediv', 'tm_client', 'normal' );
		add_meta_box('postimagediv', __('Select/Upload Image of the Client','tmte'), 'post_thumbnail_meta_box', 'tm_client', 'normal', 'high');
	}



	/*********** Post Meta Box **************/
	$client->add_meta_box( 
		'thememount_clients_details',
		__('DigitalLaw: Client Details', 'tmte'),
		array(
			array(
				'name'          => 'clienturl',
				'label'         => __('Website Link', 'tmte'),
				'description'   => __("(Optional) Please fill person or company's website link", 'tmte'),
				'type'          => 'text'
			),
		)
	);
	/**********************************************/

}



if( class_exists('Cuztom_Post_Type') ){
	add_action( 'init', 'tmte_digitallaw_cpt_tm_client', 8 );
}

