<?php

function tmte_digitallaw_cpt_tm_portfolio(){
	
	// Getting Options
	global $digitallaw_theme_options;
	
	/*
	 *  Custom Post Type
	 */
	$labels = array(
		'name'               => _x( 'Portfolio', 'post type general name', 'tmte' ),
		'singular_name'      => _x( 'Portfolio', 'post type singular name', 'tmte' ),
		'menu_name'          => _x( 'Portfolio', 'admin menu', 'tmte' ),
		'name_admin_bar'     => _x( 'Portfolio', 'add new on admin bar', 'tmte' ),
		'add_new'            => _x( 'Add New', 'portfolio', 'tmte' ),
		'add_new_item'       => __( 'Add New Portfolio', 'tmte' ),
		'new_item'           => __( 'New Portfolio', 'tmte' ),
		'edit_item'          => __( 'Edit Portfolio', 'tmte' ),
		'view_item'          => __( 'View Portfolio', 'tmte' ),
		'all_items'          => __( 'All Portfolio', 'tmte' ),
		'search_items'       => __( 'Search Portfolio', 'tmte' ),
		'parent_item_colon'  => __( 'Parent Portfolio:', 'tmte' ),
		'not_found'          => __( 'No portfolio found.', 'tmte' ),
		'not_found_in_trash' => __( 'No portfolio found in Trash.', 'tmte' )
	);
	
	
	if( isset($digitallaw_theme_options['pf_type_title']) && trim($digitallaw_theme_options['pf_type_title'])!='' && trim($digitallaw_theme_options['pf_type_title'])!='Portfolio' ){
		// Getting Team Member Title
		$pf_type_title          = 'Portfolio';
		$pf_type_title_singluar = 'Portfolio';
		if( isset($digitallaw_theme_options['pf_type_title']) && trim($digitallaw_theme_options['pf_type_title'])!='' ){
			$tm_pf_type_title = esc_attr($digitallaw_theme_options['pf_type_title']);
			if( substr($tm_pf_type_title , -1)=='s' ){
				// Portfolios
				$pf_type_title          = $tm_pf_type_title;
				$pf_type_title_singluar =  substr_replace( $tm_pf_type_title , "", -1);
			} else {
				// Portfolio
				$pf_type_title          = $tm_pf_type_title.'s';
				$pf_type_title_singluar =  $tm_pf_type_title;
			}
		}
		
		$labels = array(
			'name'               => _x( $pf_type_title, 'post type general name', 'tmte' ),
			'singular_name'      => _x( $pf_type_title_singluar, 'post type singular name', 'tmte' ),
			'menu_name'          => _x( $pf_type_title, 'admin menu', 'tmte' ),
			'name_admin_bar'     => _x( $pf_type_title_singluar, 'add new on admin bar', 'tmte' ),
			'add_new'            => _x( 'Add New', 'portfolio', 'tmte' ),
			'add_new_item'       => __( 'Add New '.$pf_type_title_singluar, 'tmte' ),
			'new_item'           => __( 'New '.$pf_type_title_singluar, 'tmte' ),
			'edit_item'          => __( 'Edit '.$pf_type_title_singluar, 'tmte' ),
			'view_item'          => __( 'View '.$pf_type_title_singluar, 'tmte' ),
			'all_items'          => __( 'All '.$pf_type_title, 'tmte' ),
			'search_items'       => __( 'Search '.$pf_type_title_singluar, 'tmte' ),
			'parent_item_colon'  => __( 'Parent '.$pf_type_title_singluar.':', 'tmte' ),
			'not_found'          => __( 'No '.strtolower($pf_type_title_singluar).' found.', 'tmte' ),
			'not_found_in_trash' => __( 'No '.strtolower($pf_type_title_singluar).' found in Trash.', 'tmte' )
		);
	}
	
	// slug
	$pf_type_slug = 'portfolio';
	if( isset($digitallaw_theme_options['pf_type_slug']) && trim($digitallaw_theme_options['pf_type_slug'])!='' ){
		$pf_type_slug = esc_attr($digitallaw_theme_options['pf_type_slug']);
	}
	$args = array(
		'labels'             => $labels,
		'menu_icon'          => 'dashicons-screenoptions',
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => $pf_type_slug ),
		'capability_type'    => 'post',
		'has_archive'        => false,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'thumbnail' )
	);

	register_post_type( 'tm_portfolio', $args );
	
	
	
	// Declaring Portfolio variable
	$portfolio = new Cuztom_Post_Type('tm_portfolio');
	
	// Portfolio Type Title
	$pf_type_title = ( isset($digitallaw_theme_options['pf_type_title']) && trim($digitallaw_theme_options['pf_type_title'])!='' ) ? __($digitallaw_theme_options['pf_type_title'], 'tmte') : __('Practice Area','tmte');
	
	$pfoptions = array();

	// Preparing detail options
	for($x=1; $x<=5; $x++ ){
		if( isset($digitallaw_theme_options['pf_details_line'.$x.'_title']) && trim($digitallaw_theme_options['pf_details_line'.$x.'_title'])!='' ){
			$pfoptions[] = array(
					'name'        => 'pf_details_line'.$x.'_title',
					'label'       => __($digitallaw_theme_options['pf_details_line'.$x.'_title'],'tmte'),
					'description' => sprintf( __('(Optional) This is dynamic field generated from "Theme Options > %s Settings" section.', 'tmte'), $pf_type_title ),
					'type'        => 'text'
			);
		}
	}
	$pfoptions[] = array(
				'name'        => 'linktext',
				'label'       => __('Project Button (Link) Text','tmte'),
				'description' => __('(Optional) Please fill project link text. Example <code>Read More</code>','tmte'),
				'type'        => 'text'
			);
	$pfoptions[] = array(
				'name'        => 'linkurl',
				'label'       => __('Project Button (Link) URL','tmte'),
				'description' => __('(Optional) Please fill project link URL. This will become the link for the "Project Link Text" word.','tmte'),
				'type'        => 'text'
			);



			
	$portfolio->add_meta_box(
		'thememount_portfolio_data',
		sprintf( __("DigitalLaw: %s Options", 'tmte'), $pf_type_title ),
		$pfoptions
	);



	$portfolio->add_meta_box(
		'thememount_portfolio_featured',
		__('DigitalLaw: Featured Image / Video / Slider', 'tmte'),
		array(
			array(
				'name'          => 'featuredtype',
				'label'         => __('Featured Image/Video', 'tmte'),
				'description'   => __('Select what you want to show as featured. Image or Video', 'tmte'),
				'type'          => 'radios',
				'options'       => array(
					'image'       => __('Featured Image', 'tmte'),
					'video'       => __('Video (YouTube or Vimeo)', 'tmte'),
					'audioembed'  => __('Audio (SoundCloud embed code)', 'tmte'),
					'slider'	  => __('Image Slider', 'tmte'),
				),
				'default_value' => 'image'
			),
			
			/* Video (YouTube or Vimeo) */
			array(
				'name'          => 'videourl',
				'label'         => __('YouTube or Vimeo URL', 'tmte'),
				'description'   => __('Paste YouTube or Vimeo URL here.', 'tmte'),
				'type'          => 'textarea',
			),
			
			/* Audio (SoundCloud embed code) */
			array(
				'name'          => 'audiocode',
				'label'         => __('SoundCloud (or any other service) Embed Code', 'tmte'),
				'description'   => __('Paste SoundCloud or any other service embed code here.', 'tmte'),
				'type'          => 'textarea',
			),
			
			/* Image Slider */
			array(
				'name'          => 'slideimage1',
				'label'         => __('1st Slider Image', 'tmte'),
				'description'   => __('Select 1st image for slider here. You can select your featured image here to show the featured image as first image in slider.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage2',
				'label'         => __('2nd Slider Image', 'tmte'),
				'description'   => __('(optional) Select 2nd image for slider here.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage3',
				'label'         => __('3rd Slider Image', 'tmte'),
				'description'   => __('(optional) Select 3rd image for slider here.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage4',
				'label'         => __('4th Slider Image', 'tmte'),
				'description'   => __('(optional) Select 4th image for slider here.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage5',
				'label'         => __('5th Slider Image', 'tmte'),
				'description'   => __('(optional) Select 5th image for slider here.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage6',
				'label'         => __('6th Slider Image', 'tmte'),
				'description'   => __('(optional) Select 6th image for slider here.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage7',
				'label'         => __('7th Slider Image', 'tmte'),
				'description'   => __('(optional) Select 7th image for slider here.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage8',
				'label'         => __('8th Slider Image', 'tmte'),
				'description'   => __('(optional) Select 8th image for slider here.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage9',
				'label'         => __('9th Slider Image', 'tmte'),
				'description'   => __('(optional) Select 9th image for slider here.', 'tmte'),
				'type'          => 'image',
			),
			array(
				'name'          => 'slideimage10',
				'label'         => __('10th Slider Image', 'tmte'),
				'description'   => __('(optional) Select 10th image for slider here.', 'tmte'),
				'type'          => 'image',
			),
		)
	);



	$portfolio->add_meta_box(
		'thememount_portfolio_view',
		sprintf( __("DigitalLaw: %s View Style", 'tmte'), $pf_type_title ),
		array(
			array(
				'name'          => 'viewstyle',
				'label'         => sprintf( __("%s View Style", 'tmte'), $pf_type_title ),
				'description'   => sprintf( __("Select view for single %s", 'tmte'), $pf_type_title ),
				'type'          => 'radios',
				'options'       => array(
					''            => __('Global', 'tmte'),
					'default'     => __('Left image and right content (default)', 'tmte'),
					'top'         => __('Top image and bottom content', 'tmte'),
					'full'        => __('No image and full-width content (without details box)', 'tmte'),
				),
				'default_value' => ''
			),
		)
	);


	$portfolio->add_meta_box(
		'thememount_portfolio_like',
		sprintf( __("DigitalLaw: %s Like Option", 'tmte'), $pf_type_title ),
		array(
			array(
				'name'          => 'pflikereset',
				'label'         => sprintf( __("%s Reset Likes", 'tmte'), $pf_type_title ),
				'description'   => sprintf( __('This will make the LIKE count to zero. For this %s only. If you like to reset LIKE for all %s than please go to "Theme Options > %s Settings" section.', 'tmte'), $pf_type_title, $pf_type_title,$pf_type_title ).'<br><br>'.__('To reset, just check this checkbox and save this page.','tmte'),
				'type'          => 'checkbox',
			),
		)
	);
	
	
	// Creating default array for portfolio category
	$labels = 	array(
		'name'              => __('Portfolio Category', 'tmte'),
		'singular_name'     => __('Portfolio Category', 'tmte'),
		'search_items'      => __('Search Portfolio Category', 'tmte'),
		'all_items'         => __('All Portfolio Category', 'tmte'), 
		'parent_item'       => __('Parent Portfolio Category', 'tmte'),
		'parent_item_colon' => __('Parent Portfolio Category:', 'tmte'), 
		'edit_item'         => __('Edit Portfolio Category', 'tmte'),
		'update_item'       => __('Update Portfolio Category', 'tmte'),
		'add_new_item'      => __('Add New Portfolio Category', 'tmte'),
		'new_item_name'     => __('New Portfolio Category Name', 'tmte'),
		'menu_name'         => __('Portfolio Category', 'tmte'),
	);
	
	
	$tm_pf_category_title = ( isset($digitallaw_theme_options['pf_cat_title']) && trim($digitallaw_theme_options['pf_cat_title'])!='' && trim($digitallaw_theme_options['pf_cat_title'])!='Portfolio Category' ) ? trim($digitallaw_theme_options['pf_cat_title']) : __('Portfolio Category', 'tmte') ;
	$tm_pf_category_slug  = ( isset($digitallaw_theme_options['pf_cat_slug']) && trim($digitallaw_theme_options['pf_cat_slug'])!='' ) ? trim($digitallaw_theme_options['pf_cat_slug']) : 'portfolio-category' ;
	
	
	if($tm_pf_category_title!='' && $tm_pf_category_title!=__('Portfolio Category', 'tmte')){
	
		$labels = array(
			'name'              => sprintf( __('%s', 'tmte'), $tm_pf_category_title ),
			'singular_name'     => sprintf( __('%s', 'tmte'), $tm_pf_category_title ),
			'search_items'      => sprintf( __('Search %s', 'tmte'), $tm_pf_category_title ),
			'all_items'         => sprintf( __('All %s', 'tmte'), $tm_pf_category_title ),
			'parent_item'       => sprintf( __('Parent %s', 'tmte'), $tm_pf_category_title ),
			'parent_item_colon' => sprintf( __('Parent %s:', 'tmte'), $tm_pf_category_title ),
			'edit_item'         => sprintf( __('Edit %s', 'tmte'), $tm_pf_category_title ),
			'update_item'       => sprintf( __('Update %s', 'tmte'), $tm_pf_category_title ),
			'add_new_item'      => sprintf( __('Add New %s', 'tmte'), $tm_pf_category_title ),
			'new_item_name'     => sprintf( __('New %s Name', 'tmte'), $tm_pf_category_title ),
			'menu_name'         => sprintf( __('%s', 'tmte'), $tm_pf_category_title ),
		);
	}
	
	
	// Project Category
	$portfolio->add_taxonomy(
		'TM Portfolio Category',
		array( 'rewrite' => array( 'slug' => $tm_pf_category_slug ) ),
		$labels
	);


}



if( class_exists('Cuztom_Post_Type') ){
	add_action( 'init', 'tmte_digitallaw_cpt_tm_portfolio', 8 );
}





/**
 *  Change Excerpt box title
 */
if( class_exists('Cuztom_Post_Type') ){
	add_action( 'admin_init',  'thememount_portfolio_change_excerpt_box_title' );
}

if( !function_exists('thememount_portfolio_change_excerpt_box_title') ){
function thememount_portfolio_change_excerpt_box_title() {
	remove_meta_box( 'postexcerpt', 'tm_portfolio', 'normal' );
	add_meta_box('postexcerpt', __('Short Description', 'tmte'), 'thememount_portfolio_post_excerpt_meta_box', 'tm_portfolio', 'normal', 'high');
}
}




if( !function_exists('thememount_portfolio_post_excerpt_meta_box') ){
function thememount_portfolio_post_excerpt_meta_box($post) {
?>
	<label class="screen-reader-text" for="excerpt"><?php esc_attr_e('Short description', 'tmte') ?></label><textarea rows="1" cols="40" name="excerpt" tabindex="6" id="excerpt"><?php echo $post->post_excerpt ?></textarea>
	<p><?php esc_attr_e('Please write short description here. This descripiton will be used in box view (via Visual Composer element).', 'tmte'); ?></p>
<?php
}
}






/********** Adding featured image URL path ***********/


// A fucntion to add a custom field to team group add form-field
function tmte_digitallaw_tm_portfolio_category_taxonomy_custom_fields_addnew(){
	?>
	
	<div class="form-field">
		<label for="thememount_img_url"><?php _e('Featured Image URL', 'tmte'); ?></label>
		<input type="text" name="term_meta[thememount_img_url]" id="term_meta[thememount_img_url]" size="40" value= ""><br />
		<p><?php _e('Paste featured image URL for this group. Please upload first in media section.' ,'tmte'); ?></p>
	</div>
	
<?php	
}


// A callback function to add a custom field to our "presenters" taxonomy
function tmte_digitallaw_tm_portfolio_category_taxonomy_custom_fields($tag) {
   // Check for existing taxonomy meta for the term you're editing
	$t_id = $tag->term_id; // Get the ID of the term you're editing
	$term_meta = get_option( "taxonomy_term_$t_id" ); // Do the check
?>

<tr class="form-field">
	<th scope="row" valign="top">
		<label for="thememount_img_url"><?php _e('Featured Image URL', 'tmte'); ?></label>
	</th>
	<td>
		<input type="text" name="term_meta[thememount_img_url]" id="term_meta[thememount_img_url]" size="40" value="<?php echo $term_meta['thememount_img_url'] ? $term_meta['thememount_img_url'] : ''; ?>"><br />
		<span class="description"><?php _e('Paste featured image URL for this group. Please upload first in media section.' ,'tmte'); ?></span>
	</td>
</tr>

<?php
}







// A callback function to save our extra taxonomy field(s)
function tmte_digitallaw_tm_pf_cat_save_taxonomy_custom_fields( $term_id ) {
	if ( isset( $_POST['term_meta'] ) ) {
		$t_id = $term_id;
		$term_meta = get_option( "taxonomy_term_$t_id" );
		$cat_keys = array_keys( $_POST['term_meta'] );
			foreach ( $cat_keys as $key ){
			if ( isset( $_POST['term_meta'][$key] ) ){
				$term_meta[$key] = $_POST['term_meta'][$key];
			}
		}
		//save the option array
		update_option( "taxonomy_term_$t_id", $term_meta );
	}
}





if( class_exists('Cuztom_Post_Type') ){
	// Add the fields to the "presenters" taxonomy, using our callback function
	add_action( 'tm_portfolio_category_edit_form_fields', 'tmte_digitallaw_tm_portfolio_category_taxonomy_custom_fields', 10, 2 );
	add_action( 'tm_portfolio_category_add_form_fields', 'tmte_digitallaw_tm_portfolio_category_taxonomy_custom_fields_addnew', 10, 2 );

	// Save the changes made on the "presenters" taxonomy, using our callback function
	add_action( 'edited_tm_portfolio_category', 'tmte_digitallaw_tm_pf_cat_save_taxonomy_custom_fields', 10, 2 );
	add_action( 'create_tm_portfolio_category', 'tmte_digitallaw_tm_pf_cat_save_taxonomy_custom_fields', 10, 2 );
}

