<?php 

function tmte_digitallaw_cpt_tm_slides(){
	
	// Register Post Type
	$labels = array(
		'name'               => _x( 'Slides', 'post type general name', 'tmte' ),
		'singular_name'      => _x( 'Slide', 'post type singular name', 'tmte' ),
		'menu_name'          => _x( 'Slides', 'admin menu', 'tmte' ),
		'name_admin_bar'     => _x( 'Slide', 'add new on admin bar', 'tmte' ),
		'add_new'            => _x( 'Add New', 'slide', 'tmte' ),
		'add_new_item'       => __( 'Add New Slide', 'tmte' ),
		'new_item'           => __( 'New Slide', 'tmte' ),
		'edit_item'          => __( 'Edit Slide', 'tmte' ),
		'view_item'          => __( 'View Slide', 'tmte' ),
		'all_items'          => __( 'All Slides', 'tmte' ),
		'search_items'       => __( 'Search Slide', 'tmte' ),
		'parent_item_colon'  => __( 'Parent Slide:', 'tmte' ),
		'not_found'          => __( 'No slide found.', 'tmte' ),
		'not_found_in_trash' => __( 'No slide found in Trash.', 'tmte' )
	);
	$args = array(
		'labels'              => $labels,
		'menu_icon'           => 'dashicons-images-alt2',
		'public'              => true,
		'publicly_queryable'  => false,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'query_var'           => true,
		'rewrite'             => array( 'slug' => 'slide' ),
		'capability_type'     => 'post',
		'has_archive'         => false,
		'hierarchical'        => false,
		'menu_position'       => null,
		'supports'            => array( 'title', 'thumbnail' ),
		'exclude_from_search' => true,
	);

	register_post_type( 'tm_slide', $args );
	
	
	
	
	// Declaring Slide variable
	$slide = new Cuztom_Post_Type('tm_slide');
	
	
	
	

	// Move Featured Image box from left to center only on CLIENTS custom_post_type
	add_action('do_meta_boxes', 'tmte_digitallaw_tm_slides_featured_image_box');
	function tmte_digitallaw_tm_slides_featured_image_box() {
		remove_meta_box( 'postimagediv', 'tm_slide', 'normal' );
		add_meta_box('postimagediv', __('Slide Image','tmte'), 'post_thumbnail_meta_box', 'tm_slide', 'normal', 'high');
	}


	/*********** Post Meta Box **************/
	$slide->add_meta_box(
		'thememount_slides_options',
		'Slide Options', 
		array(
			array(
				'name'          => 'desc',
				'label'         => __( 'Description', 'tmte'),
				'description'   => __( 'Add description text for this slide', 'tmte'),
				'type'          => 'textarea'
			),
			array(
				'name'          => 'btntext',
				'label'         => __( 'Button Text', 'tmte'),
				'description'   => __( 'Add text for button.', 'tmte'),
				'type'          => 'text'
			),
			array(
				'name'          => 'btnlink',
				'label'         => __( 'Button Link', 'tmte'),
				'description'   => __( 'Add URL for button.', 'tmte'),
				'type'          => 'text'
			),
		)
	);
	/**********************************************/


	/* Category */
	$slide->add_taxonomy(
		'TM_Slide_Group',
		array(),
		array(
			'name'              => _x( 'Slide Group', 'taxonomy general name', 'tmte' ),
			'singular_name'     => _x( 'Slide Group', 'taxonomy singular name', 'tmte' ),
			'search_items'      => __( 'Search Group', 'tmte' ),
			'all_items'         => __( 'All Groups', 'tmte' ),
			'parent_item'       => __( 'Parent Group', 'tmte' ),
			'parent_item_colon' => __( 'Parent Group:', 'tmte' ),
			'edit_item'         => __( 'Edit Group', 'tmte' ),
			'update_item'       => __( 'Update Group', 'tmte' ),
			'add_new_item'      => __( 'Add New Group', 'tmte' ),
			'new_item_name'     => __( 'New Group Name', 'tmte' ),
			'menu_name'         => __( 'Slide Group', 'tmte' ),
		)
	);
	


}


if( class_exists('Cuztom_Post_Type') ){
	add_action( 'init', 'tmte_digitallaw_cpt_tm_slides', 8);
}


