<?php 

function tmte_digitallaw_cpt_tm_team(){
	
	// Getting Options
	global $digitallaw_theme_options;
	
	/*
	 *  Custom Post Type
	 */
	$labels = array(
		'name'               => _x( 'Team Members', 'post type general name', 'tmte' ),
		'singular_name'      => _x( 'Team Member', 'post type singular name', 'tmte' ),
		'menu_name'          => _x( 'Team Members', 'admin menu', 'tmte' ),
		'name_admin_bar'     => _x( 'Team Member', 'add new on admin bar', 'tmte' ),
		'add_new'            => _x( 'Add New', 'team member', 'tmte' ),
		'add_new_item'       => __( 'Add New Team Member', 'tmte' ),
		'new_item'           => __( 'New Team Member', 'tmte' ),
		'edit_item'          => __( 'Edit Team Member', 'tmte' ),
		'view_item'          => __( 'View Team Member', 'tmte' ),
		'all_items'          => __( 'All Team Members', 'tmte' ),
		'search_items'       => __( 'Search Team Member', 'tmte' ),
		'parent_item_colon'  => __( 'Parent Team Member:', 'tmte' ),
		'not_found'          => __( 'No team member found.', 'tmte' ),
		'not_found_in_trash' => __( 'No team member found in Trash.', 'tmte' )
	);
	if( isset($digitallaw_theme_options['team_type_title']) && trim($digitallaw_theme_options['team_type_title'])!='' && trim($digitallaw_theme_options['team_type_title'])!='Team Members' ){
		
		// Getting Team Member Title
		$team_type_title          = 'Team Members';
		$team_type_title_singluar = 'Team Member';
		if( isset($digitallaw_theme_options['team_type_title']) && trim($digitallaw_theme_options['team_type_title'])!='' ){
			$team_type_title = esc_attr($digitallaw_theme_options['team_type_title']);
		}

		
		if( isset($digitallaw_theme_options['team_type_title_singular']) && trim($digitallaw_theme_options['team_type_title_singular'])!='' ){
			$team_type_title_singluar = esc_attr($digitallaw_theme_options['team_type_title_singular']);
		} else if( substr($team_type_title , -1)=='s' ){
			// Team Member
			$team_type_title_singluar = substr_replace( $team_type_title , "", -1);
		} else{
			$team_type_title_singluar = $team_type_title;	
		}
		
		
		
		$labels = array(
			'name'               => _x( $team_type_title, 'post type general name', 'tmte' ),
			'singular_name'      => _x( $team_type_title_singluar, 'post type singular name', 'tmte' ),
			'menu_name'          => _x( $team_type_title, 'admin menu', 'tmte' ),
			'name_admin_bar'     => _x( $team_type_title_singluar, 'add new on admin bar', 'tmte' ),
			'add_new'            => _x( 'Add New', 'team member', 'tmte' ),
			'add_new_item'       => __( 'Add New '.$team_type_title_singluar, 'tmte' ),
			'new_item'           => __( 'New '.$team_type_title_singluar, 'tmte' ),
			'edit_item'          => __( 'Edit '.$team_type_title_singluar, 'tmte' ),
			'view_item'          => __( 'View '.$team_type_title_singluar, 'tmte' ),
			'all_items'          => __( 'All '.$team_type_title, 'tmte' ),
			'search_items'       => __( 'Search '.$team_type_title_singluar, 'tmte' ),
			'parent_item_colon'  => __( 'Parent '.$team_type_title_singluar.':', 'tmte' ),
			'not_found'          => __( 'No '.strtolower($team_type_title_singluar).' found.', 'tmte' ),
			'not_found_in_trash' => __( 'No '.strtolower($team_type_title_singluar).' found in Trash.', 'tmte' )
		);
	}
	
	// slug
	$team_type_slug = 'team-members';
	if( isset($digitallaw_theme_options['team_type_slug']) && trim($digitallaw_theme_options['team_type_slug'])!='' ){
		$team_type_slug = esc_attr($digitallaw_theme_options['team_type_slug']);
	}
	
	$args = array(
		'labels'             => $labels,
		'menu_icon'          => 'dashicons-groups',
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => $team_type_slug ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'thumbnail', 'excerpt' )
	);

	register_post_type( 'tm_team_member', $args );
	
	
	
	
	
	
	// Declaring Team variable
	$team = new Cuztom_Post_Type('tm_team_member');
	
	

	// Move Featured Image box from left to center only on CLIENTS custom_post_type
	add_action('do_meta_boxes', 'tmte_digitallaw_tm_team_featured_image_box');
	function tmte_digitallaw_tm_team_featured_image_box() {
		remove_meta_box( 'postimagediv', 'tm_team_member', 'normal' );
		add_meta_box('postimagediv', __("Member's Image",'tmte'), 'post_thumbnail_meta_box', 'tm_team_member', 'normal', 'high');
	}

	// Team Type Title 
	$team_type_title = ( isset($digitallaw_theme_options['team_type_title']) && trim($digitallaw_theme_options['team_type_title'])!='' ) ? __($digitallaw_theme_options['team_type_title'], 'tmte') : __('Lawyers','tmte');

	/*********** Post Meta Box **************/
	$team->add_meta_box(
		'thememount_team_member_details',
		sprintf( __("DigitalLaw: %s Details", 'tmte'), $team_type_title ),
		array(
			array(
				'name'          => 'position',
				'label'         => __( 'Position', 'tmte'),
				'description'   => sprintf( __("(Optional) Add %s postition. Example: <code>Family Lawyer</code>", 'tmte'), $team_type_title ),
				'type'          => 'text'
			),
			array(
				'name'          => 'email',
				'label'         => __( 'Email', 'tmte'),
				'description'   => sprintf( __("(Optional) Add %s email address. Example: <code>member@example.com</code>", 'tmte'), $team_type_title ),
				'type'          => 'text'
			),
			array(
				'name'          => 'phone',
				'label'         => __( 'Phone', 'tmte'),
				'description'   => sprintf( __("(Optional) Add %s phone number. Example: <code>+9-0123-456789</code>", 'tmte'), $team_type_title ),
				'type'          => 'text'
			),
			array(
				'name'          => 'btn_text',
				'label'         => __( 'Appointment Button Text', 'tmte'),
				'description'   => __( "(Optional) Appointment button text. Example: <code>APPOINTMENT NOW !</code>", 'tmte'),
				'type'          => 'text'
			),
			array(
				'name'          => 'btn_link',
				'label'         => __( 'Appointment Button Link', 'tmte'),
				'description'   => __( "(Optional) Appointment button link. Example: <code>http://www.example.com/</code>", 'tmte'),
				'type'          => 'text'
			),
		)
	);

	$team->add_meta_box(
		'thememount_team_member_social_links',
		sprintf( __("DigitalLaw: %s Social Links", 'tmte'), $team_type_title ),
		array(
			array(
				'name'          => 'facebook',
				'label'         => __( 'Facebook Link', 'tmte'),
				'description'   => __( '(Optional) Please fill Facebook link', 'tmte'),
				'type'          => 'text'
			),
			array(
				'name'          => 'twitter',
				'label'         => __( 'Twitter Link', 'tmte'),
				'description'   => __( '(Optional) Please fill Twitter link', 'tmte'),
				'type'          => 'text'
			),
			array(
				'name'          => 'linkedin',
				'label'         => __( 'LinkedIn Link', 'tmte'),
				'description'   => __( '(Optional) Please fill LinkedIn link', 'tmte'),
				'type'          => 'text'
			),
			array(
				'name'          => 'googleplus',
				'label'         => __( 'Google+ Link', 'tmte'),
				'description'   => __( '(Optional) Please fill Google+ link', 'tmte'),
				'type'          => 'text'
			),
			array(
				'name'          => 'instagram',
				'label'         => __( 'Instagram Link', 'tmte'),
				'description'   => __( '(Optional) Please fill Instagram link', 'tmte'),
				'type'          => 'text'
			),
		)
	);
	/**********************************************/
	
	
	// Creating default array for Team group
	$labels = 	array(
		'name'              => _x( 'Team Group', 'taxonomy general name', 'tmte' ),
		'singular_name'     => _x( 'Team Group', 'taxonomy singular name', 'tmte' ),
		'search_items'      => __( 'Search Team Group', 'tmte' ),
		'all_items'         => __( 'All Team Groups', 'tmte' ),
		'parent_item'       => __( 'Parent Team Group', 'tmte' ),
		'parent_item_colon' => __( 'Parent Team Group:', 'tmte' ),
		'edit_item'         => __( 'Edit Team Group', 'tmte' ),
		'update_item'       => __( 'Update Team Group', 'tmte' ),
		'add_new_item'      => __( 'Add New Team Group', 'tmte' ),
		'new_item_name'     => __( 'New Team Group Name', 'tmte' ),
		'menu_name'         => __( 'Team Group', 'tmte' ),
	);

	
	$tm_team_group_title = ( isset($digitallaw_theme_options['team_group_title']) && trim($digitallaw_theme_options['team_group_title'])!='' && trim($digitallaw_theme_options['team_group_title'])!='Team Group' ) ? trim($digitallaw_theme_options['team_group_title']) : __('Team Group', 'tmte') ;
	
	$tm_team_group_slug  = ( isset($digitallaw_theme_options['team_group_slug']) && trim($digitallaw_theme_options['team_group_slug'])!='' ) ? trim($digitallaw_theme_options['team_group_slug']) : 'team-group' ;

	
	if($tm_team_group_title!='' && $tm_team_group_title!=__('Team Group', 'tmte')){
		
		$labels = array(
			'name'              => sprintf( __('%s', 'tmte'), $tm_team_group_title ),
			'singular_name'     => sprintf( __('%s', 'tmte'), $tm_team_group_title ),
			'search_items'      => sprintf( __( 'Search %s', 'tmte' ), $tm_team_group_title),
			'all_items'         => sprintf( __( 'All %s', 'tmte' ), $tm_team_group_title),
			'parent_item'       => sprintf( __( 'Parent %s', 'tmte' ), $tm_team_group_title),
			'parent_item_colon' => sprintf( __( 'Parent %s:', 'tmte' ), $tm_team_group_title),
			'edit_item'         => sprintf( __( 'Edit %s', 'tmte' ), $tm_team_group_title),
			'update_item'       => sprintf( __( 'Update %s', 'tmte' ), $tm_team_group_title),
			'add_new_item'      => sprintf( __( 'Add New %s', 'tmte' ), $tm_team_group_title),
			'new_item_name'     => sprintf( __( 'New %s Name', 'tmte' ), $tm_team_group_title),
			'menu_name'         => sprintf( __( '%s', 'tmte' ), $tm_team_group_title),
		);
	}
	
	
	/* Team Group */
	$team->add_taxonomy(
		'tm_team_group',
		array(
			'rewrite' => array( 'slug' => $tm_team_group_slug ),
		),
		$labels
	);
	
	
	

}



if( class_exists('Cuztom_Post_Type') ){
	add_action( 'init', 'tmte_digitallaw_cpt_tm_team', 8 );
}





/**
 *  Change Excerpt box title
 */
add_action( 'admin_init',  'thememount_team_member_change_excerpt_box_title' );
if( !function_exists('thememount_team_member_change_excerpt_box_title') ){
function thememount_team_member_change_excerpt_box_title() {
	remove_meta_box( 'postexcerpt', 'tm_team_member', 'normal' );
	add_meta_box('postexcerpt', __('Short Description', 'tmte'), 'thememount_team_member_post_excerpt_meta_box', 'tm_team_member', 'normal', 'high');
	
	//add_meta_box('postimagediv', __("Member's Image",'tmte'), 'post_thumbnail_meta_box', 'tm_team_member', 'normal', 'high');
	
}
}
if( !function_exists('thememount_team_member_post_excerpt_meta_box') ){
function thememount_team_member_post_excerpt_meta_box($post) {
?>
	<label class="screen-reader-text" for="excerpt"><?php _e('Short description', 'tmte') ?></label><textarea rows="1" cols="40" name="excerpt" tabindex="6" id="excerpt"><?php echo $post->post_excerpt ?></textarea>
	<p><?php _e('Please write short description here. This descripiton will be used in box view (via Visual Composer element).', 'tmte'); ?></p>
<?php
}
}





/********** Adding featured image URL path ***********/


// A fucntion to add a custom field to team group add form-field
function tmte_digitallaw_tm_team_group_taxonomy_custom_fields_addnew(){
	?>
	
	<div class="form-field">
		<label for="thememount_img_url"><?php _e('Featured Image URL', 'kwte'); ?></label>
		<input type="text" name="term_meta[thememount_img_url]" id="term_meta[thememount_img_url]" size="40" value= ""><br />
		<p><?php _e('Paste featured image URL for this group. Please upload first in media section.' ,'kwte'); ?></p>
	</div>
	
<?php	
}


// A callback function to add a custom field to our "presenters" taxonomy
function tmte_digitallaw_tm_team_group_taxonomy_custom_fields($tag) {
   // Check for existing taxonomy meta for the term you're editing
	$t_id = $tag->term_id; // Get the ID of the term you're editing
	$term_meta = get_option( "taxonomy_term_$t_id" ); // Do the check
?>

<tr class="form-field">
	<th scope="row" valign="top">
		<label for="thememount_img_url"><?php _e('Featured Image URL', 'tmte'); ?></label>
	</th>
	<td>
		<input type="text" name="term_meta[thememount_img_url]" id="term_meta[thememount_img_url]" size="40" value="<?php echo $term_meta['thememount_img_url'] ? $term_meta['thememount_img_url'] : ''; ?>"><br />
		<span class="description"><?php _e('Paste featured image URL for this group. Please upload first in media section.' ,'tmte'); ?></span>
	</td>
</tr>

<?php
}







// A callback function to save our extra taxonomy field(s)
function tmte_digitallaw_tm_save_taxonomy_custom_fields( $term_id ) {
	if ( isset( $_POST['term_meta'] ) ) {
		$t_id = $term_id;
		$term_meta = get_option( "taxonomy_term_$t_id" );
		$cat_keys = array_keys( $_POST['term_meta'] );
			foreach ( $cat_keys as $key ){
			if ( isset( $_POST['term_meta'][$key] ) ){
				$term_meta[$key] = $_POST['term_meta'][$key];
			}
		}
		//save the option array
		update_option( "taxonomy_term_$t_id", $term_meta );
	}
}






// Add the fields to the "presenters" taxonomy, using our callback function
add_action( 'tm_team_group_edit_form_fields', 'tmte_digitallaw_tm_team_group_taxonomy_custom_fields', 10, 2 );
add_action( 'tm_team_group_add_form_fields', 'tmte_digitallaw_tm_team_group_taxonomy_custom_fields_addnew', 10, 2 );

// Save the changes made on the "presenters" taxonomy, using our callback function
add_action( 'edited_tm_team_group', 'tmte_digitallaw_tm_save_taxonomy_custom_fields', 10, 2 );
add_action( 'create_tm_team_group', 'tmte_digitallaw_tm_save_taxonomy_custom_fields', 10, 2 );

