<?php 

function tmte_digitallaw_cpt_tm_testimonial(){
	
	/*
	 *  Custom Post Type
	 */
	$labels = array(
		'name'               => _x( 'Testimonials', 'Testimonials post type general name', 'tmte' ),
		'singular_name'      => _x( 'Testimonial', 'Testimonials post type singular name', 'tmte' ),
		'menu_name'          => _x( 'Testimonials', 'Testimonials post type admin menu', 'tmte' ),
		'name_admin_bar'     => _x( 'Testimonial', 'Testimonials post type - add new on admin bar', 'tmte' ),
		'add_new'            => _x( 'Add New', 'testimonial', 'tmte' ),
		'add_new_item'       => __( 'Add New Testimonial', 'tmte' ),
		'new_item'           => __( 'New Testimonial', 'tmte' ),
		'edit_item'          => __( 'Edit Testimonial', 'tmte' ),
		'view_item'          => __( 'View Testimonial', 'tmte' ),
		'all_items'          => __( 'All Testimonials', 'tmte' ),
		'search_items'       => __( 'Search Testimonial', 'tmte' ),
		'parent_item_colon'  => __( 'Parent Testimonial:', 'tmte' ),
		'not_found'          => __( 'No testimonial found.', 'tmte' ),
		'not_found_in_trash' => __( 'No testimonial found in Trash.', 'tmte' )
	);
	
	$args = array(
		'labels'             => $labels,
		'menu_icon'          => 'dashicons-format-status',
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'testimonial' ),
		'capability_type'    => 'post',
		'has_archive'        => false,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title', 'editor', 'thumbnail' ),
		'exclude_from_search' => true,
	);

	register_post_type( 'tm_testimonial', $args );
	
	
	
	
	// Declaring Team variable
	$testimonial = new Cuztom_Post_Type('tm_testimonial');
	
	
	
	
	/*********** Post Meta Box **************/
	$testimonial->add_meta_box( 
		'thememount_testimonials_details',
		__('DigitalLaw: Testimonial Details', 'tmte'),
		array(
			array(
				'name'          => 'clienturl',
				'label'         => __('Website Link', 'tmte'),
				'description'   => __("(Optional) Please fill person or company's website link", 'tmte'),
				'type'          => 'text'
			),
			array(
				'name'          => 'designation',
				'label'         => __('Person designation or company name', 'tmte'),
				'description'   => __('(Optional) Please fill designation of the person. Fill Company name if it is a company.', 'tmte'),
				'type'          => 'text'
			),
		)
	);
	/**********************************************/

	
	// Testimonial Group
	$testimonial->add_taxonomy(
		'TM_Testimonial_Group',
		array(),
		array(
			'name'              => _x( 'Testimonial Group', 'taxonomy general name', 'tmte' ),
			'singular_name'     => _x( 'Testimonial Group', 'taxonomy singular name', 'tmte' ),
			'search_items'      => __( 'Search Group', 'tmte' ),
			'all_items'         => __( 'All Groups', 'tmte' ),
			'parent_item'       => __( 'Parent Group', 'tmte' ),
			'parent_item_colon' => __( 'Parent Group:', 'tmte' ),
			'edit_item'         => __( 'Edit Group', 'tmte' ),
			'update_item'       => __( 'Update Group', 'tmte' ),
			'add_new_item'      => __( 'Add New Group', 'tmte' ),
			'new_item_name'     => __( 'New Group Name', 'tmte' ),
			'menu_name'         => __( 'Testimonial Group', 'tmte' ),
		)
	);
		
}




if( class_exists('Cuztom_Post_Type') ){
	add_action( 'init', 'tmte_digitallaw_cpt_tm_testimonial', 8);
}




/* Change "Enter Title Here" */
function tmte_digitallaw_tm_testimonial_enter_title_here( $title ){
	$screen = get_current_screen();
	if ( 'tm_testimonial' == $screen->post_type ) {
		$title = __('Person or Company Name', 'tmte');
	}
	return $title;
}
add_filter( 'enter_title_here', 'tmte_digitallaw_tm_testimonial_enter_title_here' );


// Move Featured Image box from left to center only on CLIENTS custom_post_type
add_action('do_meta_boxes', 'tmte_digitallaw_tm_testimonial_featured_image_box');
function tmte_digitallaw_tm_testimonial_featured_image_box() {
	remove_meta_box( 'postimagediv', 'tm_testimonial', 'normal' );
	add_meta_box('postimagediv', __('Select/Upload Image of Person or Company','tmte'), 'post_thumbnail_meta_box', 'tm_testimonial', 'normal', 'high');
}



