<?php
// [tm-portfoliobox]
if( !function_exists('digitallaw_sc_portfoliobox') ){
function digitallaw_sc_portfoliobox( $atts, $content=NULL ){
	
	global $digitallaw_sc_params_portfoliobox;
	$options_list = digitallaw_create_options_list($digitallaw_sc_params_portfoliobox);
	
	extract( shortcode_atts(
		$options_list
	, $atts ) );
	
	global $wp_query;
	$old_wp_query = $wp_query;
	
	//Hide pagination and sortable links when view is carousel
	if($view=='carousel'){
		$pagination = 'no';
		$sortable   = 'no';
	}
	
	//Hide pagination when sortable is on 
	if($sortable=='yes' && $pagination=='yes'){
		$pagination = 'no';
	}
	
	
	// Adding prettyPhoto JS and CSS file
	wp_enqueue_script( 'prettyphoto' );
	wp_enqueue_style( 'prettyphoto' );
	
	// Box width
	$boxwidth       = ( $view == 'carousel' ) ? 'fix' : $column ;
	$headerCarslBtn = ( $view == 'carousel' ) ? 'carouselbtn="yes"' : '' ;
	$itemWrapper    = ( $view == 'carousel' ) ? 'thememount-carousel-items-wrapper' : '' ;
	$itemCol        = ( $view == 'carousel' ) ? 'thememount-carousel-col-'.$column : '' ;
	$rowFix         = ( $view == 'carousel' ) ? '' : 'multi-columns-row' ;
	$boxwidth       = $column ;
	
	// adding DATA tags
	$datatags = digitallaw_carousel_data_html( get_defined_vars() );
	
	$rand = mt_rand(1000, 9999);
	$rand .= mt_rand(1000, 9999);
	
	$return = '<div class="row '.$rowFix.' thememount-portfolio-boxes-wrapper thememount-portfolio-view-'.$view.' kwayy-boxes-sortable-'.$sortable.' thememount-effect-'.$view.' thememount-items-col-'.$column.' thememount-portfolio-design-'.$pdesign.' '.$itemCol.' '.$el_class.'" id="thememount-portfolio-id-'.$rand.'"  '.$datatags.'>';
		
		$portfolioWrapperStart = '<div class="thememount-portfolio-boxes col-xs-12 col-sm-12 col-md-12 col-lg-12">';
		$portfolioWrapperEnd   = '</div>';
		$contentWrapperStart   = '<div class="thememount-portfolio-text col-xs-12 col-sm-12 col-md-12 col-lg-12">';
		$contentWrapperEnd     = '</div>';
		
		$return .= $contentWrapperStart;
		$return .= digitallaw_vc_element_heading( get_defined_vars() );
		$return .= $contentWrapperEnd;
		
		//Protect against arbitrary paged values
		$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
		
		$args = array(
			//'post_status'    => 'published',
			'post_type'      => 'tm_portfolio',
			'posts_per_page' => $show,
			'paged'          => $paged,
			'orderby'        => $orderby,
			'order'          => $order,
		);
		
		// Creating array for multiple category
		if(strpos($category, ',') !== false) {
			$category = explode(',',$category);
		}
		
		if ( $category ) { // CeP: (2)
			$args['tax_query'] = array(
				array(
					'taxonomy' => 'tm_portfolio_category',
					'field'    => 'slug',
					'terms'    => $category,
				),
			);
		}
		$wp_query = new WP_Query( $args );
		
		// The Loop
		if ( $wp_query->have_posts() ) {
			$boxesClass = '';
			
			// Check if sortable enabled. Than add class to make the ISOTOPE work
			if( $sortable=='yes' ){
				$boxesClass = 'portfolio-wrapper';
			}
			
			$return          .= $portfolioWrapperStart;
			$pagination_class = ( $pagination=='yes' ) ? ' thememount-with-pagination' : '' ; // Pagination
			$portfolioBoxes   = '<div class="thememount-items-wrapper row multi-columns-row '.$itemWrapper.' thememount-portfolio-boxes-inner '.sanitize_html_class($boxesClass).' row'.sanitize_html_class($pagination_class).'">';
			
			// If sorting is enabled
			$cat_list = array();
			
			
			while ( $wp_query->have_posts() ) {
				$wp_query->the_post();
				$portfolioBoxes .= digitallaw_portfoliobox( $boxwidth, $pdesign );
				
				if ( $sortable == 'yes' ){
		
					if( is_array($category) && count($category)>0 ){ // Selected category
						foreach( $category as $slug ){
							$catInfo = get_term_by('slug', $slug, 'tm_portfolio_category');
							$cat_list[ $slug ] = $catInfo->name;
						}
					}else if($category!=''){ //Single category
						$catInfo = get_term_by('slug', $category, 'tm_portfolio_category');
						$cat_list[ $catInfo->slug ] = $catInfo->name;
					}else {  // All Category
						$cat_name = get_the_terms( get_the_ID() , 'tm_portfolio_category' );
						if( is_array($cat_name) && count($cat_name)>0 ){
							foreach( $cat_name as $cat ){
								$cat_list[ $cat->slug ] = $cat->name;
							}
						}
					}
				}  // if
				
				
				
			} // while
			
			$portfolioBoxes .= '</div>';
			
			if( is_array($cat_list) && count($cat_list)>0 ){
				$cat_list = array_unique( $cat_list );  // Category Filter list
				ksort($cat_list);  // Sort array by name
				$tm_all_word = ( isset($allword) && trim($allword)!='' ) ? esc_html__($allword, 'digitallaw') : esc_html__('All', 'digitallaw') ;
				$return .= '<nav class="portfolio-sortable-list container">';
				$return .= '<ul>';
				$return .= '<li><a class="selected" href="#" data-filter="*">'.$tm_all_word.'</a></li>';
				foreach( $cat_list as $slug=>$name ){
					if( term_exists( $slug, 'tm_portfolio_category' ) ){
						$return .= '<li><a class="" href="#" data-filter=".'.$slug.'">'.$name.'</a></li>';
					}
				}
				$return .= '</ul>';
				$return .= '</nav>';
			}
			$return .= $portfolioBoxes;  // Portfolio Boxes
			if( $pagination=='yes' ){ $return .= digitallaw_paging_nav(true); }  // Pagination
			$return .= $portfolioWrapperEnd;
		} // if
		
		/* Restore original Post Data */
		wp_reset_postdata();
		
		$wp_query = $old_wp_query;
		
	$return .= '</div>';
	
	return $return;
}
}
add_shortcode( 'tm-portfoliobox', 'digitallaw_sc_portfoliobox' );