<?php
// [tm-team show="0"]
if( !function_exists('digitallaw_sc_team') ){
function digitallaw_sc_team($atts, $content=NULL ) {
	
	global $digitallaw_sc_params_team;
	$options_list = digitallaw_create_options_list($digitallaw_sc_params_team);
	
	extract( shortcode_atts(
		$options_list
	, $atts ) );
	
	
	// Box width
	$boxwidth       = $column ;
	$rowClass       = ( $view != 'carousel' ) ? 'row' : '' ;
	$headerCarslBtn = ( $view == 'carousel' ) ? 'carouselbtn="yes"' : '' ;
	$itemWrapper    = ( $view == 'carousel' ) ? 'thememount-carousel-items-wrapper' : '' ;
	$itemCol        = ( $view == 'carousel' ) ? 'thememount-carousel-col-'.$column : '' ;
	$rowClass       = ( $view == 'carousel' ) ? $rowClass : $rowClass.' multi-columns-row' ;
	
	// Data tags
	$datatags = digitallaw_carousel_data_html( get_defined_vars() );
	
	$return = '';
	$width  = digitallaw_translateColumnWidthToSpan($column);
	
	$args = array(
		'post_type'      => 'tm_team_member',
		'posts_per_page' => $show,
		'orderby'        => $orderby,
		'order'          => $order,
	);
	
	
	// Group
	if( $groupslug!='' ){
		$groupslug = explode(',', $groupslug);
		$args['tax_query'] = array(
								array(
									'taxonomy' => 'tm_team_group',
									'field' => 'slug',
									'terms' => $groupslug
								),
							);
	}
	
	if( $groupslug != '' || is_array($groupslug) ){
		$args['tm_team_group'] = $groupslug;
	}
	$results = new WP_Query( $args );
	$teamBoxes = '';
	
	// The Loop
	if ( $results->have_posts() ) {
		
		// Check if sortable enabled. Than add class to make the ISOTOPE work
		$boxesClass = '';
		if( $sortable=='yes' ){
			$boxesClass = 'portfolio-wrapper';
		}
		
		$return .= "\n\t".'<div class="thememount-team-wrapper thememount-effect-'.$view.' thememount-items-col-'.$column.' kwayy-boxes-sortable-'.$sortable.' '.$itemCol.' '.$el_class.'" '.$datatags.'>';
		
		$return .= digitallaw_vc_element_heading( get_defined_vars() );
		
		$teamBoxes .= '<div class="'.$rowClass.' thememount-items-wrapper '.$itemWrapper.' '.$boxesClass.'">';
		
		// If sorting is enabled
		$cat_list = array();
		
		while ( $results->have_posts() ) {
			$results->the_post();
			
			/***********************/
			if ( $sortable == 'yes' ){
				//var_dump($groupslug);
				if( is_array($groupslug) && count($groupslug)>0 ){ // Selected category
					foreach( $groupslug as $slug ){
						$catInfo = get_term_by('slug', $slug, 'tm_team_group');
						$cat_list[ $slug ] = $catInfo->name;
					}
				} else if($groupslug!=''){ //Single category
					$catInfo = get_term_by('slug', $groupslug, 'tm_team_group');
					$cat_list[ $catInfo->slug ] = $catInfo->name;
				} else {  // All Category
					$cat_name = get_the_terms( get_the_ID() , 'tm_team_group' );
					if( is_array($cat_name) && count($cat_name)>0 ){
						foreach( $cat_name as $cat ){
							$cat_list[ $cat->slug ] = $cat->name;
						}
					}
				}
			}  // if
			
			/***********************/
			
			
			
			
			$teamBoxes .= digitallaw_teammemberbox( $boxwidth, $linking, $boxdesign );
			
		}  // while
		
		
		/************************/
		//var_dump($cat_list);
		if( is_array($cat_list) && count($cat_list)>0 ){
			$cat_list = array_unique( $cat_list );  // Category Filter list
			ksort($cat_list);  // Sort array by name
			$tm_all_word = ( isset($allword) && trim($allword)!='' ) ? esc_html__($allword, 'digitallaw') : esc_html__('All', 'digitallaw') ;
			$return .= '<nav class="portfolio-sortable-list container">';
			$return .= '<ul>';
			$return .= '<li><a class="selected" href="#" data-filter="*">'.$tm_all_word.'</a></li>';
			foreach( $cat_list as $slug=>$name ){
				if( term_exists( $slug, 'tm_team_group' ) ){
					$return .= '<li><a class="" href="#" data-filter=".'.$slug.'">'.$name.'</a></li>';
				}
			}
			$return .= '</ul>';
			$return .= '</nav>';
		}
		/************************/
		
		
		
		$teamBoxes .= "\n\t".'</div>';
		
		
		// adding all boxes
		$return .= $teamBoxes;
		
		$return .= '</div>';
		
		
		
		
	} else {
		// no posts found
	}
	
	
	/* Restore original Post Data */
	wp_reset_postdata();
	
	return $return;
}
}
add_shortcode( 'tm-team', 'digitallaw_sc_team' );
