<?php
/*
 * Plugin Name: ThemeMount Extras for Digital Law Theme
 * Plugin URI: http://www.thememount.com
 * Description: ThemeMount Plugin for Digital Law Theme
 * Version: 1.5
 * Author: ThemeMount
 * Author URI: http://www.thememount.com
 * Text Domain: tmte
 * Domain Path: /languages
 */

/**
 *  TMTE = ThemeMount Theme Extras
 */
define( 'TMTE_VERSION', '1.4' );
//define( 'TMTE_DIR', trailingslashit( dirname( __FILE__ ) ) );
define( 'TMTE_DIR', plugin_dir_path( __FILE__ ) );
define( 'TMTE_URI', plugins_url( '', __FILE__ ) );



/**
 *  Translation
 */
function tmte_digitallaw_load_plugin_textdomain() {
	$domain = 'thememount-extras-digitallaw';
	$locale = apply_filters( 'plugin_locale', get_locale(), $domain );
	if ( $loaded = load_textdomain( 'tmte', trailingslashit( WP_LANG_DIR ) . $domain . '/' . $domain . '-' . $locale . '.mo' ) ) {
		return $loaded;
	} else {
		load_plugin_textdomain( 'tmte', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
	}
	
	// Enable shortcodes in text widgets
	add_filter('widget_text', 'do_shortcode');
	
}
add_action( 'init', 'tmte_digitallaw_load_plugin_textdomain' );






add_action( 'plugins_loaded', 'tmte_digitallaw_load_textdomain' );
/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function tmte_digitallaw_load_textdomain() {
	load_plugin_textdomain( 'tmte', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 
}


/**
 *  Custom Post Types - With Post Meta Boxes
 */
require_once TMTE_DIR . 'custom-post-types/tm-portfolio.php';
require_once TMTE_DIR . 'custom-post-types/tm-team.php';
require_once TMTE_DIR . 'custom-post-types/tm-testimonial.php';
require_once TMTE_DIR . 'custom-post-types/tm-client.php';
require_once TMTE_DIR . 'custom-post-types/tm-slides.php';







/*
 * Shortcode list and their calls - Depends on Visual Composer
 */
$shortcodeList = array(
	'tm-blogbox',
	'tm-clients',
	'tm-contactbox',
	'tm-facts-in-digits',
	'tm-heading',
	'tm-icon',
	'tm-icontext',
	'tm-wpml-language-switcher',
	'tm-icon-separator',
	'tm-portfoliobox',
	'tm-eventsbox',
	'tm-servicebox',
	'tm-socialbox',
	'tm-list',
	'tm-team',
	'tm-testimonial',
);
if( function_exists('vc_map') && class_exists('WPBMap') ){
	foreach( $shortcodeList as $shortcode ){
		include_once( TMTE_DIR . 'shortcodes/'.$shortcode.'.php');
	}
}

/*
 * Shortcode list and their calls - Not depended on Visual Composer
 */
$shortcodeList = array(
	'tm-current-year',
	'tm-social-links',
	'tm-site-tagline',
	'tm-site-title',
	'tm-site-url',
	'tm-footermenu',
	'tm-logo',
	'tm-dropcap',
	'tm-skincolor',
	'tm-twitterbox',
);
foreach( $shortcodeList as $shortcode ){
	include_once( TMTE_DIR . 'shortcodes/'.$shortcode.'.php' );
}






function tmte_digitallaw_rewrite_flush() {
    // ATTENTION: This is *only* done during plugin activation hook
    flush_rewrite_rules();
}
register_activation_hook( __FILE__, 'tmte_digitallaw_rewrite_flush' );


/**
 * Enqueue scripts and styles for the admin section.
 */
function tmte_digitallaw_custom_wp_admin_scripts() {
	wp_enqueue_script( 'tmte_custom_js', TMTE_URI . '/tmte-admin-custom.js', array( 'jquery' ) );
}
add_action( 'admin_enqueue_scripts', 'tmte_digitallaw_custom_wp_admin_scripts' );



